## visad
Class RealVectorType

    java.lang.Object
      visad.MathType
          visad.TupleType
              visad.RealTupleType
                  visad.RealVectorType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  EarthVectorType, GridVectorType

public abstract class RealVectorType
extends RealTupleType

RealVectorType is the VisAD data type for vector field tuple in R^n, for n>0.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.RealTupleType
`Generic2D, Generic3D, LatitudeLongitudeAltitude, LatitudeLongitudeTuple, SpatialCartesian2DTuple, SpatialCartesian3DTuple, SpatialEarth2DTuple, SpatialEarth3DTuple, Time1DTuple`

Fields inherited from class visad.MathType
`SystemIntrinsic`

Constructor Summary
`RealVectorType(RealType a)`
`RealVectorType(RealType[] types)`
`RealVectorType(RealType[] types, CoordinateSystem coord_sys)`
`RealVectorType(RealType a, RealType b)`
`RealVectorType(RealType a, RealType b, RealType c)`
`RealVectorType(RealType a, RealType b, RealType c, RealType d)`

Method Summary
`RealTuple` `transformVectors(RealTupleType out, CoordinateSystem coord_out, Unit[] units_out, ErrorEstimate[] loc_errors_out, RealTupleType in, CoordinateSystem coord_in, Unit[] units_in, CoordinateSystem coord_vector, double[][] inloc, double[][] outloc, RealTuple tuple)` transform a single vector in a RealTuple, based on a coordinate transform of the field domain.

`abstract double[][]`

`transformVectors(RealTupleType out, CoordinateSystem coord_out, Unit[] units_out, ErrorEstimate[] loc_errors_out, RealTupleType in, CoordinateSystem coord_in, Unit[] units_in, CoordinateSystem coord_vector, ErrorEstimate[] errors_in, ErrorEstimate[] errors_out, double[][] inloc, double[][] outloc, double[][] value)`
transform an array of vector values from a field, based on a coordinate transform of the field domain.

`float[][]` `transformVectors(RealTupleType out, CoordinateSystem coord_out, Unit[] units_out, ErrorEstimate[] loc_errors_out, RealTupleType in, CoordinateSystem coord_in, Unit[] units_in, CoordinateSystem coord_vector, ErrorEstimate[] errors_in, ErrorEstimate[] errors_out, float[][] inloc, float[][] outloc, float[][] value)`
`RealTuple` `transformVectors(RealTupleType out, CoordinateSystem coord_out, Unit[] units_out, ErrorEstimate[] loc_errors_out, RealTupleType in, CoordinateSystem coord_in, Unit[] units_in, CoordinateSystem coord_vector, float[][] inloc, float[][] outloc, RealTuple tuple)`

Methods inherited from class visad.RealTupleType
`binary, buildShadowType, equalsExceptName, equalsExceptNameButUnits, getCoordinateSystem, getDefaultSet, getDefaultUnits, makeArray, makeArray, makeArray, makeArray, missingData, prettyString, setDefaultSet, unary`

Methods inherited from class visad.TupleType
`__getitem__, __len__, cloneDerivative, equals, getComponent, getComponents, getDimension, getFlat, getIndex, getIndex, getNumberOfRealComponents, getRealComponents, hashCode`

Methods inherited from class visad.MathType
`addTimeAlias, findScalarType, guessMaps, main, prettyString, stringToType, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RealVectorType

    public RealVectorType(RealType[] types)
                   throws VisADException

### RealVectorType

    public RealVectorType(RealType[] types,
                          CoordinateSystem coord_sys)
                   throws VisADException

### RealVectorType

    public RealVectorType(RealType a)
                   throws VisADException

### RealVectorType

    public RealVectorType(RealType a,
                          RealType b)
                   throws VisADException

### RealVectorType

    public RealVectorType(RealType a,
                          RealType b,
                          RealType c)
                   throws VisADException

### RealVectorType

    public RealVectorType(RealType a,
                          RealType b,
                          RealType c,
                          RealType d)
                   throws VisADException

Method Detail

### transformVectors

    public abstract double[][] transformVectors(RealTupleType out,
                                                CoordinateSystem coord_out,
                                                Unit[] units_out,
                                                ErrorEstimate[] loc_errors_out,
                                                RealTupleType in,
                                                CoordinateSystem coord_in,
                                                Unit[] units_in,
                                                CoordinateSystem coord_vector,
                                                ErrorEstimate[] errors_in,
                                                ErrorEstimate[] errors_out,
                                                double[][] inloc,
                                                double[][] outloc,
                                                double[][] value)
                                         throws VisADException,
                                                RemoteException

  transform an array of vector values from a field, based on a coordinate transform of the field domain. This may use the Jacobean of the coordinate transform, but may be more complex. For example, vectors in m/s would not transform for a simple rescaling transform. Or the transform may be to a moving coordinate system. out, coord_out, units_out, in, coord_in, units_in are the arguments to the corresponding call to transformCoordinates; loc_errors_out are the ErrorEstimates for loc from that call; inloc and outloc contain the input and output values from the corresponding call to transformCoordinates; coord_vector and errors_in are the CoordinateSystem and ErrorEstimates associated with values; value are the vector values (already resampled at loc); return new value array; return transformed ErrorEstimates in errors_out array

  Throws:
    `VisADException`
    `RemoteException`

### transformVectors

    public float[][] transformVectors(RealTupleType out,
                                      CoordinateSystem coord_out,
                                      Unit[] units_out,
                                      ErrorEstimate[] loc_errors_out,
                                      RealTupleType in,
                                      CoordinateSystem coord_in,
                                      Unit[] units_in,
                                      CoordinateSystem coord_vector,
                                      ErrorEstimate[] errors_in,
                                      ErrorEstimate[] errors_out,
                                      float[][] inloc,
                                      float[][] outloc,
                                      float[][] value)
                               throws VisADException,
                                      RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### transformVectors

    public RealTuple transformVectors(RealTupleType out,
                                      CoordinateSystem coord_out,
                                      Unit[] units_out,
                                      ErrorEstimate[] loc_errors_out,
                                      RealTupleType in,
                                      CoordinateSystem coord_in,
                                      Unit[] units_in,
                                      CoordinateSystem coord_vector,
                                      double[][] inloc,
                                      double[][] outloc,
                                      RealTuple tuple)
                               throws VisADException,
                                      RemoteException

  transform a single vector in a RealTuple, based on a coordinate transform of the field domain. Similar to the previous definition of transformVectors.

  Throws:
    `VisADException`
    `RemoteException`

### transformVectors

    public RealTuple transformVectors(RealTupleType out,
                                      CoordinateSystem coord_out,
                                      Unit[] units_out,
                                      ErrorEstimate[] loc_errors_out,
                                      RealTupleType in,
                                      CoordinateSystem coord_in,
                                      Unit[] units_in,
                                      CoordinateSystem coord_vector,
                                      float[][] inloc,
                                      float[][] outloc,
                                      RealTuple tuple)
                               throws VisADException,
                                      RemoteException

  Throws:
    `VisADException`
    `RemoteException`